<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/groupmanagement.jsp,v 1.6 2002/12/14 19:01:28 minhnn Exp $
 * $Revision: 1.6 $
 * $Date: 2002/12/14 19:01:28 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - Group Management</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    Group Management
    </td>
</tr>
</table>

<p>
<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    <strong>Group Management</strong> is where you can manage all aspects of your groups.
    <br>Choose below tasks to continue:<br>
    <a href="addgroup" class="messageTextBoldBlue">Add new Group</a><br>
    </td>
</tr>
</table>
<p>

<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>Group Name/Description</td>
    <td align="center">Owners</td>
    <td align="center">Members</td>
    <td align="center">Edit</td>
    <td align="center">Delete</td>
</tr>
<%
Collection groupRows = (Collection) request.getAttribute("GroupsBeans");

int i = 0;
int odd = 0;
Iterator iterator = groupRows.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    GroupsBean row = (GroupsBean)iterator.next();
    int groupID = row.getGroupID();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td class="messageText">
        <a class="messageTextBoldBlue" href="viewgroup?group=<%=groupID%>"><%=row.getGroupName()%></a>
        <br><%=row.getGroupDesc()%>
    </td>
    <td align="center" class="messageText">
        <%
        if ( (groupID == 1) || (groupID == 2) ) {
            out.print("N/A");
        } else {//normal group
            if (row.getGroupOwnerID() == 0) {
               out.print("No Owner for this Group");
            } else {
                out.print(row.getGroupOwnerName());
            }
        }
        %>
    </td>
    <td align="center" nowrap class="messageText">
        <%
        if ( groupID == 1 ) {
            out.print("N/A");
        } else if ( groupID == 2 ) {%>
			<a class="messageTextBoldBlue" href="usermanagement"><%=row.getGroupMemberCount()%></a>
        <%} else {/*normal group*/ %>
            <a class="messageTextBoldBlue" href="listmembergroup?group=<%=groupID%>"><%=row.getGroupMemberCount()%></a>
		<% } %>
    </td>
    <td align="center" class="messageText">
        <a href="viewgroup?group=<%=groupID%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/edit.gif" border="0" alt="Edit Group: <%=row.getGroupName()%>"></a>
    </td>
    <td align="center" class="messageText">
        <%
        if ( (groupID == 1) || (groupID == 2) ) {
            out.print("N/A");
        } else {/*normal group*/ %>
            <a class="messageTextBoldBlue" href="deletegroup?group=<%=groupID%>">Delete</a>
        <% } %>
    </td>
</tr>
<%
    i++;
}//while
if (groupRows.size() == 0) {
%>
    <td colspan="5" align="center" bgcolor="#EEEEFF" class="messageText">There is not any groups.</td>
<%
}
%>
</table>


<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
