<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/usermanagement.jsp,v 1.5 2002/12/14 19:01:29 minhnn Exp $
 * $Revision: 1.5 $
 * $Date: 2002/12/14 19:01:29 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - User Management</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    User Management
    </td>
</tr>
</table>

<p>
<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    <strong>User Management</strong> is where you can manage all aspects of your users.
    <br>Choose below tasks to continue:<br>
    <a href="addmember" class="messageTextBoldBlue">Add new User</a><br>
    </td>
</tr>
</table>

<p>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>MemberID</td>
    <td>Name</td>
    <td>E mail</td>
    <td align="center">Join Date</td>
    <td align="center">Delete</td>
</tr>
<%
java.util.Collection memberRows = (java.util.Collection) request.getAttribute("MemberBeans");

int i = 0;
int odd = 0;
java.util.Iterator iterator = memberRows.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    MemberBean row = (MemberBean)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td>
    <%if (row.getMemberGender() == 1) {%>
    <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/male.gif" border="0" alt="Male">
    <%} else {%>
    <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/female.gif" border="0" alt="Female">
    <%}%>
    <%if (row.getMemberStatus() == 1) {%>
    <a class="messageTextBoldRed"
    <%} else {%>
    <a class="messageTextBoldBlue"
    <%}%>
    href="#<%--viewmember?memberid=<%=row.getMemberID()%>--%>"><%=row.getMemberName()%></a></font></td>
    <td nowrap class="messageText"><%=row.getMemberFirstname()%> <%=row.getMemberLastname()%></td>
    <td class="messageText"><a href="mailto:<%=row.getMemberEmail()%>"><%=row.getMemberEmail()%></a></td>
    <td align="center" class="messageText"><%=row.getMemberCreationDate()%></td>
	<td align="center" class="messageText">Delete</td>
</tr>
<%
    i++;
}//while
if (memberRows.size() == 0) {
%>
    <td colspan="5" align="center" bgcolor="#EEEEFF" class="messageText">There is not any members.</td>
<%
}
%>
</table>

<table width="95%" border="0" cellspacing="0" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="Silver">
    <td class="messageTextBold">
<%
int totalMembers = ((Integer)request.getAttribute("TotalMembers")).intValue();
int offset = ((Integer)request.getAttribute("offset")).intValue();
int startOffset = ((Integer)request.getAttribute("StartOffset")).intValue();
int lastOffset = ((Integer)request.getAttribute("LastOffset")).intValue();
int previousOffset = ((Integer)request.getAttribute("PreviousOffset")).intValue();
int nextOffset = ((Integer)request.getAttribute("NextOffset")).intValue();

if (previousOffset >= 0) { %>
    <a href="?offset=<%=previousOffset%>">Previous</a>
<% } else { %>
    Previous
<%}%>
    &nbsp;&nbsp;<font class="hightlight">Visitor&nbsp;<%=startOffset%>&nbsp;-&nbsp;<%=lastOffset%>&nbsp;of&nbsp;<%=totalMembers%></font>&nbsp;&nbsp;
<% if (nextOffset >= 0) { %>
    <a href="?offset=<%=nextOffset%>">Next</a>
<% } else { %>
    Next
<%}%>
    </td>
</tr>
</table>

<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
