<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/user/viewthread.jsp,v 1.8 2002/12/15 18:59:36 minhnn Exp $
 * $Revision: 1.8 $
 * $Date: 2002/12/15 18:59:36 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.MVNForumConfig" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.MyUtil" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<%
ThreadBean threadBean  = (ThreadBean)request.getAttribute("ThreadBean");
Collection postBeans = (Collection)request.getAttribute("PostBeans");
MemberBean[] memberBeans = (MemberBean[])request.getAttribute("MemberBeans");
int numberOfPosts = ((Integer)request.getAttribute("NumberOfPosts")).intValue();
int previousTopic  = ((Integer)request.getAttribute("PreviousTopic")).intValue();
int nextTopic      = ((Integer)request.getAttribute("NextTopic")).intValue();
%>
<html>
<head>
    <title>mvnForum - View Thread - <%=threadBean.getThreadTopic()%></title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>
<script language="JavaScript">
function gotoPage(s) {
    if (s != '') top.location.href = s;
    return 1;
}
</script>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>

<%
// current offset, use to remember offset state after we update any post
int offset = 0;
try {
    offset = ParamUtil.getParameterInt(request, "offset");
} catch (Exception e) {
    // do nothing
}

CategoryCache categoryCache = CategoryCache.getInstance();
ForumCache forumCache = ForumCache.getInstance();
Collection forumBeans = forumCache.getBeans();

int forumID_int = threadBean.getForumID();
String forumID = String.valueOf(forumID_int);
String forumName = forumCache.getBean(forumID_int).getForumName();

String threadID = String.valueOf(ParamUtil.getParameterInt(request, "thread"));
%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="listforums">List all forums</a>&nbsp;&raquo;&nbsp;
    Forum: <a class="navLink" href="listthreads?forum=<%=forumID%>"><%=forumName%></a>&nbsp;&raquo;&nbsp;
    Thread: <%=threadBean.getThreadTopic()%>
    </td>
</tr>
</table>
<p>

<table width="95%" align="center">
<tr class="messageText"><td>
<form>
Quick go &raquo; <select name="FastGoForum" onChange="gotoPage(this.options[this.selectedIndex].value)">
<%
Iterator forumIterator = forumBeans.iterator();
int lastCategoryID = -1;
while(forumIterator.hasNext()) {
    ForumBean row = (ForumBean)forumIterator.next();
    if (row.getCategoryID() != lastCategoryID) {// to print the category
        lastCategoryID = row.getCategoryID();
        CategoryBean categoryBean = categoryCache.getBean(lastCategoryID);
%>
    <option value=""></option>
    <option value="listforums"><%=categoryBean.getCategoryName()%></option>
    <option value="">---------------------------------</option>
<%
    }//if
%>
    <option value="listthreads?forum=<%=row.getForumID()%>" <%if (row.getForumID() == forumID_int) {%>SELECTED<%}%>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=row.getForumName()%></option>
<%
}//while
%>
</select>
</form>
</td></tr>
</table>

<table width="95%" align="center">
<tr>
    <td class="hightlight">There are <%=numberOfPosts%> posts in this thread</td>
<%if ( onlineUser.getPermission().canDeletePost(forumID_int) ) {%>	
    <td align="right"><a class="messageTextBold" href="deletethread?thread=<%=threadID%>">[Delete this Thread]</a></td>
<%}%>
</tr>
</table>

<table width="95%" border="0" cellspacing="1" cellpadding="5" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td width="155" align="center" nowrap>Author</td>
    <td align="center">
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td nowrap><%if (previousTopic != 0) {%><a href="viewthread?thread=<%=previousTopic%>" class="header"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/left.gif" border="0" alt="Previous Topic"></a><%}%></td>
            <td width="100%" align="center" class="header">This topic has been viewed <font color="Aqua"><%=threadBean.getThreadViewCount()+1%></font> times and has <font color="Yellow"><%=numberOfPosts-1%></font> replies.</td>
            <td nowrap><%if (nextTopic != 0) {%><a href="viewthread?thread=<%=nextTopic%>" class="header"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/right.gif" border="0" alt="Next Topic"></a><%}%></td>
        </tr>
        </table>
    </td>
  </tr>
</table>

<%
Iterator iterator = postBeans.iterator();
int i = 0;
while(iterator.hasNext()) {
    PostBean postRow = (PostBean)iterator.next();
    MemberBean  memberRow  = memberBeans[i];
    i++;
    String color;
    if (postRow.getParentPostID() == 0) {
      color = "#ffcc99";
    } else {
        if ((i%2) != 0) {
          color = "#eeeeff";
        } else {
          color = "White";
        }
    }
%>
<table width="95%" border="0" cellspacing="1" cellpadding="5" align="center" bgcolor="#999999">
  <tr bgColor=<%=color%>>
    <td width="155" rowspan="2" valign="top" nowrap class="messageText">
        <%if (memberRow.getMemberGender() == 1) {%>
        <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/male.gif" border="0" alt="Male">
        <%} else {%>
        <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/female.gif" border="0" alt="Female">
        <%}%>
        <a href="viewmember?memberid=<%=postRow.getMemberID()%>" class="messageTextBoldBlue"><%=postRow.getMemberName()%></a>
        <br><br>
<% if (memberRow.getMemberAvatar().length() > 0) { %>
    <div align="center"><img src="<%=memberRow.getMemberAvatar()%>" border="0" alt="Your current avatar"></div>
<% } else { %>
    <p>
<% } %>
        <br>
        <%=memberRow.getMemberCountry()%><br>
        Joined: <b><%=memberRow.getMemberCreationDate_short()%></b><br>
        Posts: <b><%=memberRow.getMemberPostCount()%></b>
    </td>
    <td valign="top" class="messageText">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="100%" rowspan="2" valign="top" class="messageTextBold">
            <%if ( (postRow.getMemberID() == memberID) || (onlineUser.getPermission().canEditPost(forumID_int)) ) {%>
            <a href="editpost?post=<%=postRow.getPostID()%>&offset=<%=offset%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/edit.gif" border="0" alt="Edit this Message"></a>&nbsp;&nbsp;&nbsp;
            <%}%>
            <%=MyUtil.filter(postRow.getPostTopic(), false/*html*/, true/*emotion*/, false/*mvnCode*/, false/*newLine*/)%>
          </td>
          <td valign="top" nowrap><a class="messageTextBoldBlue" href="addpost?forum=<%=forumID%>">Post new Thread</a></td>
        </tr>
        <tr>
          <td valign="top" nowrap><a class="messageTextBoldBlue" href="addpost?parent=<%=postRow.getPostID()%>">Reply to this Post</a></td>
        </tr>
      </table>
      <hr size="1" noshade>
      <%=MyUtil.filter(postRow.getPostBody(), false/*html*/, true/*emotion*/, true/*mvnCode*/, true/*newLine*/)%>
      <br>----------------------------------------<br>
      <%=MyUtil.filter(memberRow.getMemberSignature(), false/*html*/, true/*emotion*/, true/*mvnCode*/, true/*newLine*/)%>
      <br>&nbsp;
      <%if(postRow.getPostEditCount() > 0) {%>
      <br>----------------------------------------<br>
      [Edit <%=postRow.getPostEditCount()%> times, last edit by <%=postRow.getLastEditMemberName()%>]
      <%}%>
    </td>
  </tr>
  <tr bgColor=<%=color%>>
    <td >
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td nowrap class="messageText">
		  [<%=onlineUser.getGMTTimestampFormat(postRow.getPostCreationDate())%>]
		  <%if ( onlineUser.getPermission().canAdminSystem() ) {%>
		    <%if(postRow.getPostEditCount() > 0) { /* has edited*/%>
		  	  [First: <font color="red"><%=postRow.getPostCreationIP()%></font> - Last: <font color="red"><%=postRow.getPostCreationIP()%></font>]
			<%} else {/* never been edited*/%>
			  [<font color="red"><%=postRow.getPostCreationIP()%></font>]
			<%}%>
		  <%}%>
		  </td>
          <td width="100%" class="messageText">
              <%if (memberRow.getMemberYahoo().length() > 0) {%>&nbsp;&nbsp;&nbsp;<img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/yim.gif" border="0" alt="<%=memberRow.getMemberYahoo()%>"><%}%>
              <%if (memberRow.getMemberAol().length() > 0) {%>&nbsp;&nbsp;&nbsp;<img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/aim.gif" border="0" alt="<%=memberRow.getMemberAol()%>"><%}%>
              <%if (memberRow.getMemberIcq().length() > 0) {%>&nbsp;&nbsp;&nbsp;<img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/icq.gif" border="0" alt="<%=memberRow.getMemberIcq()%>"><%}%>
              <%if ((memberRow.getMemberHomepage().length() > 0) && (memberRow.getMemberHomepage().equals("http://")==false)) {%>&nbsp;&nbsp;&nbsp;<a href="<%=memberRow.getMemberHomepage_http()%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/www.gif" border="0" alt="<%=memberRow.getMemberHomepage_http()%>"></a><%}%>
              <%
              if (memberRow.getMemberEmailVisible() == 1) {
                  if (memberID == 0) {%>
                      &nbsp;&nbsp;&nbsp;<img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/email.gif" border="0" alt="Email is hidden to Guest">
              <%  } else { %>
                      &nbsp;&nbsp;&nbsp;<a href="mailto:<%=memberRow.getMemberEmail()%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/email.gif" border="0" alt="<%=memberRow.getMemberEmail()%>"></a>
              <%  }
              }
              %>
          </td>
          <td nowrap class="messageText">
              <%if (memberID == 0) {%>
                  <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/threat.gif" border="0" alt="Report threaten message: please login first">
              <%} else {%>
                  <a href="mailto:<%=MVNForumConfig.getWebMasterEmail()%>?subject=Report threaten message (id = <%=postRow.getPostID()%>)"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/threat.gif" border="0" alt="Report threaten message"></a>
              <%}%>
              &nbsp;<a href="#"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/up.gif" border="0" alt="Go to top"></a>&nbsp;
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<% }//while %>


<%
int startOffset = ((Integer)request.getAttribute("StartOffset")).intValue();
int lastOffset = ((Integer)request.getAttribute("LastOffset")).intValue();
int previousOffset = ((Integer)request.getAttribute("PreviousOffset")).intValue();
int nextOffset = ((Integer)request.getAttribute("NextOffset")).intValue();

if (previousOffset >= 0 || nextOffset >= 0) {
%>
<table width="95%" border="0" cellspacing="0" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="Silver">
    <td class="messageTextBold">

<%if (previousOffset >= 0) {%>
    <a href="viewthread?thread=<%=threadID%>&offset=<%=previousOffset%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/left.gif" border="0" alt="Previous Page"></a>
<%} else {%>
    &nbsp;&nbsp;&nbsp;&nbsp;
<%}%>

    &nbsp;&nbsp;<font class="hightlight">Reply&nbsp;<%=startOffset%>&nbsp;-&nbsp;<%=lastOffset%>&nbsp;of&nbsp;<%=numberOfPosts%></font>&nbsp;&nbsp;

<%if (nextOffset >= 0) {%>
    <a href="viewthread?thread=<%=threadID%>&offset=<%=nextOffset%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/right.gif" border="0" alt="Next Page"></a>
<%} else {%>
    &nbsp;&nbsp;&nbsp;&nbsp;
<%}%>
    </td>
</tr>
</table>
<% }//if %>

<p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>
</body>
</html>
