<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/listrecentmessage.jsp,v 1.4 2002/12/03 18:33:29 minhnn Exp $
 * $Revision: 1.4 $
 * $Date: 2002/12/03 18:33:29 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - List Posts</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<div align="center" class="pageTitle">List recent Posts</div>
<p>
&nbsp;
<%
java.util.Collection postBeans = (java.util.Collection)request.getAttribute("PostBeans");
java.util.Iterator iterator = postBeans.iterator();
if (postBeans.size() == 0) {
%>
<div align="center" class="messageTextBold">There is not any Post</div>
<%
}
while(iterator.hasNext()) {
    PostBean postBean = (PostBean)iterator.next();
%>
<table width="100%" border="0" cellpadding="5" cellspacing="1" bgcolor="#999999">
  <tr bgColor=#eeeeff>
    <td width="100" valign="top" class="messageText">Topic:</td>
    <td valign="top" class="messageTextBold">
    <%if (postBean.getPostStatus() == 0) {%>
    <font color="Red">
    <%} else {%>
    <font color="Black">
    <%}%>
    <%=postBean.getPostTopic()%></font></td>
  </tr>
  <tr bgColor=#eeeeff>
    <td valign="top" class="messageText">Author:</td>
    <td valign="top" class="messageText"><%=postBean.getMemberID()%></td>
  </tr>
  <tr bgColor=#eeeeff>
    <td valign="top" class="messageText">Post Date:</td>
    <td valign="top" class="messageText"><%=postBean.getPostCreationDate()%></td>
  </tr>
  <tr bgColor=#eeeeff>
    <td colspan="2" valign="top" class="messageText"><%=postBean.getPostBody()%></td>
  </tr>
</table>
<%// this is for next and previous%>
<table width="100%" border="0" cellpadding="3" cellspacing="0" bgcolor="#999999">
<tr bgcolor="Silver">
    <td class="messageTextBold">
<%
int totalPosts = ((Integer)request.getAttribute("TotalPosts")).intValue();
int rowOffset = ((Integer)request.getAttribute("RowOffset")).intValue();
int startOffset = ((Integer)request.getAttribute("StartOffset")).intValue();
int lastOffset = ((Integer)request.getAttribute("LastOffset")).intValue();
int previousOffset = ((Integer)request.getAttribute("PreviousOffset")).intValue();
int nextOffset = ((Integer)request.getAttribute("NextOffset")).intValue();

if (previousOffset >= 0) {
%>
    <a href="?RowOffset=<%=previousOffset%>">Previous</a>
<%
} else {
%>
    Previous
<%}%>
    &nbsp;&nbsp;<font class="hightlight">Post&nbsp;<%=startOffset%>&nbsp;-&nbsp;<%=lastOffset%>&nbsp;of&nbsp;<%=totalPosts%></font>&nbsp;&nbsp;
<%
if (nextOffset >= 0) {
%>
    <a href="?RowOffset=<%=nextOffset%>">Next</a>
<%
} else {
%>
    Next
<%}%>
    </td>
    <td align="right"><a href="editpost?PostID=<%=postBean.getPostID()%>" class="messageTextBold">Edit this Post</a></td>
</tr>
</table>


<p>
&nbsp;
<%
}//while
%>

<p>
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
