<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/testsystem.jsp,v 1.4 2002/12/03 18:33:29 minhnn Exp $
 * $Revision: 1.4 $
 * $Date: 2002/12/03 18:33:29 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.MVNForumInfo" %>
<%@ page import="net.myvietnam.mvncore.info.LibInfo" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - Test system</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    Test System Configuration
    </td>
</tr>
</table>
<p>
<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    This page tests your system to make sure that it meets the requirements
    for <b><%=MVNForumInfo.PRODUCT_DESC%></b> to run properly.
    </td>
</tr>
</table>


<p>
<%
    LibInfo libInfo = new LibInfo();
%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">Library Infomation</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Support JNDI</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportJNDI()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support Java Sql Ext</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportJavaxSql()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support Java Activation Framework</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportJAF()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support Java Mail</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportMail()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support Jakarta BeanUtils</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportBeanUtils()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support Jakarta Common Logging</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportCommonLogging()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support MM MySql Driver</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportMmMysqlDriver()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support MySql Connector/J</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportComMysqlDriver()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Support Image Processing</td>
    <td class="messageTextBold">
    <%if (libInfo.isSupportImageProcessing()){%><font color="#008000">Yes</font><%} else {%><font color="#FF0080">No</font><%}%>
    </td>
  </tr>
</table>


<p>
&nbsp;

<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>

