<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/user/addpost.jsp,v 1.10 2002/12/15 18:59:36 minhnn Exp $
 * $Revision: 1.10 $
 * $Date: 2002/12/15 18:59:36 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.MyUtil" %>
<%@ page import="net.myvietnam.mvncore.exception.BadInputException" %>
<%
/**
 * This page is uesd to do 2 actions
 * 1. add new post ( action=addnew ), either new thread or reply to a thread
 * 2. edit post ( action=update )
 */
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<%
// this is a temporary hack for Vietnamese ( = 9)
// this should be change to 0 for other forums
int vnForumID = 0;
%>

<%
int parentPostID = 0;
try {
    parentPostID = ParamUtil.getParameterInt(request, "parent");
} catch (BadInputException e) {
    // do nothing
}
String action = (String)request.getAttribute("action");
if (action == null) action = "";

String mode;
String fullmode;
String replyTopic;
String postTopic = "";
String postBody = "";

PostBean postToEdit  = null;// use when edit a post
PostBean parentPostBean = null;//use when reply to a post

if (action.equals("addnew")) {
    if (parentPostID == 0) {
        mode = "Post new thread";
        fullmode = mode;
        replyTopic = "";
    } else {
        mode = "Reply to the post";
        // this is the parent of the reply
        parentPostBean = (PostBean)request.getAttribute("ParentPostBean");

        String REPLY_PREFIX = "Re: ";
        String parentPostTopic = parentPostBean.getPostTopic();
        if (parentPostTopic.startsWith(REPLY_PREFIX)) {
            postTopic = parentPostTopic;
        } else {
            postTopic = REPLY_PREFIX + parentPostTopic;
        }
        replyTopic = parentPostBean.getPostTopic();
        fullmode = mode + " : " + replyTopic;
    }
} else if (action.equals("update")) {
    mode = "Edit a post";
    postToEdit = (PostBean)request.getAttribute("PostToEdit");
    String editTopic = postToEdit.getPostTopic();
    fullmode = mode + " : " + editTopic;
    postTopic = editTopic;//redundant ?
    postBody = postToEdit.getPostBody();
} else {
    throw new BadInputException("Cannot find the action!");
}
%>
<html>
<head>
    <title>mvnForum - <%=fullmode%></title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>

<script language="JavaScript" src="<%=contextPath%>/mvnplugin/mvnforum/js/vbcode.js"></script>
<script language="JavaScript" src="<%=contextPath%>/mvnplugin/mvnforum/js/vbcode_language.js"></script>
<script language="JavaScript1.2" src="<%=contextPath%>/mvnplugin/mvnforum/js/vietuni.js" type="text/javascript"></script>
<style type="text/css">
    SELECT {
        FONT-SIZE: 11px; COLOR: #000000; FONT-FAMILY: Verdana,Arial,Helvetica,sans-serif; BACKGROUND-COLOR: #cfcfcf
    }
    TEXTAREA {
        FONT-SIZE: 12px; COLOR: #000000; FONT-FAMILY: Verdana,Arial,Helvetica,sans-serif; BACKGROUND-COLOR: #cfcfcf
    }
    .bginput {
        FONT-SIZE: 12px; COLOR: #000000; FONT-FAMILY: Verdana,Arial,Helvetica,sans-serif; BACKGROUND-COLOR: #cfcfcf
    }
</style>

<body leftmargin=0 topmargin=0>
<script language="JavaScript">
function gotoPage(s) {
    if (s != '') top.location.href = s;
    return 1;
}
</script>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>

<%
CategoryCache categoryCache = CategoryCache.getInstance();
ForumCache forumCache = ForumCache.getInstance();
java.util.Collection forumBeans = forumCache.getBeans();

int forumID_int;
if (action.equals("addnew")) {
    if (parentPostID == 0) {// new thread
        forumID_int = ParamUtil.getParameterInt(request, "forum");
    } else {//reply to a post
        forumID_int = parentPostBean.getForumID();
    }
} else {
    forumID_int = postToEdit.getForumID();
}
String forumID = String.valueOf(forumID_int);
String forumName = forumCache.getBean(forumID_int).getForumName();
%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="listforums">List all forums</a>&nbsp;&raquo;&nbsp;
    Forum: <a class="navLink" href="listthreads?forum=<%=forumID%>"><%=forumName%></a>&nbsp;&raquo;&nbsp;
    <%=mode%><%if (parentPostID != 0) {%> : <a class="navLink" href="viewthread?forum=<%=forumID%>&message=<%=parentPostID%>"><%//=replyTopic%></a><%}%></td>
    </td>
</tr>
</table>
<p>

<table width="95%" align="center">
<tr class="messageText"><td>
<form>
Quick go &raquo; <select name="FastGoForum" onChange="gotoPage(this.options[this.selectedIndex].value)">
<%
java.util.Iterator iterator1 = forumBeans.iterator();
int lastCategoryID = -1;
while(iterator1.hasNext()) {
    ForumBean row = (ForumBean)iterator1.next();
    if (row.getCategoryID() != lastCategoryID) {// to print the category
        lastCategoryID = row.getCategoryID();
        CategoryBean categoryBean = categoryCache.getBean(lastCategoryID);
%>
    <option value=""></option>
    <option value="listforums"><%=categoryBean.getCategoryName()%></option>
    <option value="">---------------------------------</option>
<%
    }//if
%>
    <option value="listthreads?forum=<%=row.getForumID()%>" <%if (row.getForumID() == forumID_int) {%>SELECTED<%}%>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=row.getForumName()%></option>
<%
}//while
%>
</select>
</form>
</td></tr>
</table>

<%if (action.equals("addnew")) {%>
<form action="addpostprocess" method="post" name="vbform">
<input type="hidden" name="ForumID" value="<%=ParamUtil.getParameter(request, "forum")%>">
<input type="hidden" name="ParentPostID" value="<%=parentPostID%>">
<%} else {//update%>
<form action="updatepost" method="post" name="vbform">
<input type="hidden" name="PostID" value="<%=postToEdit.getPostID()%>">
<input type="hidden" name="parent" value="<%=parentPostID%>">
<input type="hidden" name="offset" value="<%=ParamUtil.getParameter(request, "offset")%>">
<%}%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2" align="left"><%=fullmode%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="170" nowrap><span class="messageTextBold">Topic:</span>
    <span class="messageText">
    <%if (parentPostID == 0) {%>
    <font color="Red">(Required)</font>
    <%} else {%>
    <font color="Blue">(Optional)</font>
    <%}%>
    </span>
    </td>
    <td><input type="text" name="PostTopic" value="<%=postTopic%>" size="70" class="bginput" tabindex="1" onKeyUp="telexingVietUC(this,event);"></td></tr>

  <tr bgcolor="White">
    <td valign="top" nowrap class="messageText">
        <span class="messageTextBold">Format:</span><br>
        <input onmouseover="stat('norm')" title="Normal Mode: (alt+n)" accessKey=n onclick=setmode(this.value) type=radio CHECKED value=0 name=mode> Normal Mode <br>
        <input onmouseover="stat('enha')" title="Enhanced Mode: (alt+e)" accessKey=e onclick=setmode(this.value) type=radio value=1 name=mode> Enhanced Mode
    </td>
    <td>
        <table cellSpacing=0 cellPadding=0 border=0>
            <tr>
              <td noWrap>
                <input class=bginput style="font-weight: bold;" onmouseover="stat('b')" title="BOLD (alt+b)" accessKey=b onclick="vbcode(this.form,'b','')" type=button value=" B ">
                <input class=bginput style="font-style: italic;" onmouseover="stat('i')" title="ITALIC (alt+i)" accessKey=i onclick="vbcode(this.form,'i','')" type=button value=" I ">
                <input class=bginput style="text-decoration: underline;" onmouseover="stat('u')" title="UNDERLINE (alt+u)" accessKey=u onclick="vbcode(this.form,'u','')" type=button value=" U ">
                <input class=bginput style="text-decoration: line-through;" onmouseover="stat('s')" title="STRIKING (alt+s)" accessKey=s onclick="vbcode(this.form,'s','')" type=button value=" S ">&nbsp;
                <select id=sizeselect onmouseover="stat('size')" onchange="fontformat(this.form,this.options[this.selectedIndex].value,'size')">
                    <option value=0 selected>SIZE</option>
                    <option value=1>small</option>
                    <option value=3>large</option>
                    <option value=4>huge</option>
                </select>
                <select id="fontselect" onChange="fontformat(this.form,this.options[this.selectedIndex].value,'font')" onMouseOver="stat('font')">
                  <option value="0" selected>FONT</option>
                  <option value="arial">Arial</option>
                  <option value="times new roman">Times</option>
                  <option value="courier new">Courier</option>
                  <option value="century gothic">Century</option>
                </select>
                <select id=colorselect onmouseover="stat('color')" onchange="fontformat(this.form,this.options[this.selectedIndex].value,'color')">
                  <option value=0 selected>COLOR</option>
                  <option style="COLOR: skyblue" value=skyblue>sky blue</option>
                  <option style="COLOR: royalblue" value=royalblue>royal blue</option>
                  <option style="COLOR: blue" value=blue>blue</option>
                  <option style="COLOR: darkblue" value=darkblue>dark-blue</option>
                  <option style="COLOR: orange" value=orange>orange</option>
                  <option style="COLOR: orangered" value=orangered>orange-red</option>
                  <option style="COLOR: crimson" value=crimson>crimson</option>
                  <option style="COLOR: red" value=red>red</option>
                  <option style="COLOR: firebrick" value=firebrick>firebrick</option>
                  <option style="COLOR: darkred" value=darkred>dark red</option>
                  <option style="COLOR: green" value=green>green</option>
                  <option style="COLOR: limegreen" value=limegreen>limegreen</option>
                  <option style="COLOR: seagreen" value=seagreen>sea-green</option>
                  <option style="COLOR: deeppink" value=deeppink>deeppink</option>
                  <option style="COLOR: tomato" value=tomato>tomato</option>
                  <option style="COLOR: coral" value=coral>coral</option>
                  <option style="COLOR: purple" value=purple>purple</option>
                  <option style="COLOR: indigo" value=indigo>indigo</option>
                  <option style="COLOR: burlywood" value=burlywood>burlywood</option>
                  <option style="COLOR: sandybrown" value=sandybrown>sandy brown</option>
                  <option style="COLOR: sienna" value=sienna>sienna</option>
                  <option style="COLOR: chocolate" value=chocolate>chocolate</option>
                  <option style="COLOR: teal" value=teal>teal</option>
                  <option style="COLOR: silver" value=silver>silver</option>
                </select> <br>
                <input class=bginput onmouseover="stat('url')" title="Insert Hyperlink" onclick="namedlink(this.form,'url')" type=button value=http://>
                <input class=bginput onmouseover="stat('email')" title="Insert Email Address" onclick="namedlink(this.form,'email')" type=button value=" @ ">
                <input class=bginput onmouseover="stat('img')" title="Insert Image" onclick="vbcode(this.form,'img','http://')" type=button value=IMG> &nbsp;
                <input class=bginput onmouseover="stat('code')" title=CODE onclick="vbcode(this.form,'code','')" type=button value=" # ">
                <input class=bginput onmouseover="stat('list')" title="Ordered List" accessKey=l onclick=dolist(this.form) type=button value=List>
                <input class=bginput onmouseover="stat('quote')" title="Insert Quote" onclick="vbcode(this.form,'quote','')" type=button value=Quote>
                <br>
                <input type="text" name="status" value="Use these controls to insert vBcode" size="50" class="bginput" style="FONT-SIZE: 7pt">
              </td>
              <td>&nbsp;</td>
              <td>
              <font face=verdana,arial,helvetica size=1>
                <input class=bginput onmouseover="stat('closecurrent')" title="Close Current Tag (alt+c)" style="FONT-WEIGHT: bold; COLOR: red" accessKey=c onclick=closetag(this.form) type=button value=" x ">
                Close Current Tag<br>
                <input class=bginput onmouseover="stat('closeall')" title="Close All Open Tags (alt+x)" style="FONT-WEIGHT: bold; COLOR: red" accessKey=x onclick=closeall(this.form) type=button value=" x ">
                Close All Tags
              </font></td></tr>
        </table>
    </td>
  </tr>

  <tr bgcolor="#F5F5F5">
    <td align="left" valign="top" nowrap class="messageTextBold">
        Message Body:
    <table border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#FFFFFF" class="smilieTable">
        <tr>
            <td colspan="3" align="center" bgcolor="#F5F5F5" style="BORDER-RIGHT: 1px inset; BORDER-TOP: 1px inset; BORDER-LEFT: 1px inset; BORDER-BOTTOM: 1px inset">
            <font class="messageTextBold">Smilies</td></tr>
        <tr align=middle>
            <td><a href="javascript:smilie('[:)]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/smile.gif" alt="smile" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[:(]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/sad.gif" alt="sad" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[:D]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/biggrin.gif" alt="big grin" border="0"></a>&nbsp;</td></tr>
        <tr align=middle>
            <td><a href="javascript:smilie('[:))]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/laughing.gif" alt="laughing" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[:((]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/crying.gif" alt="crying" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[;)]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/wink.gif" alt="wink" border="0"></a>&nbsp;</td></tr>
        <tr align=middle>
            <td><a href="javascript:smilie('[:&quot;>]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/blushing.gif" alt="blushing" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[:p]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/tongue.gif" alt="tongue" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[B-)]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/cool.gif" alt="cool" border="0"></a>&nbsp;</td></tr>
        <tr align=middle>
            <td><a href="javascript:smilie('[:x]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/love.gif" alt="love struck" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[:-/]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/confused.gif" alt="confused" border="0"></a>&nbsp;</td>
            <td><a href="javascript:smilie('[>:)]')"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/emotion/devilish.gif" alt="devilish" border="0"></a>&nbsp;</td></tr>
        <tr>
            <td colspan="3" align="center" bgcolor="#F5F5F5" style="BORDER-RIGHT: 1px inset; BORDER-TOP: 1px inset; BORDER-LEFT: 1px inset; BORDER-BOTTOM: 1px inset">
            <font class="messageText">Showing: 12 of 50
            <br>[<a href="#<%--javascript:opensmiliewindow(240,280,'')--%>">Get More</a>]</font>
            </td></tr>
    </table>
    </td>
    <td><textarea cols="70" rows="15" name="message" tabindex="2" onkeyup="telexingVietUC(this,event);"><%=postBody%></textarea></td>
  </tr>
  <%if (forumID_int == vnForumID) {//vietnamese here%>
  <tr bgcolor="White">
    <td valign="top" nowrap><font class="messageTextBold">Options:</font></td>
    <td class="messageText">
        <B>Vietnamese Typing :</B><br>
        <input type="radio" name="vnselector" value="TELEX" onClick="setTypingMode(1);"> Telex<br>
        <input type="radio" name="vnselector" value="VNI" checked onClick="setTypingMode(2);"> VNI<br>
        <input type="radio" name="vnselector" value="NOVN" onClick="setTypingMode(0);"> Disable<br>
        <script language="JavaScript"> setTypingMode(2); </script>
    </td>
  </tr>
  <%}// end if vietnamese%>
  <tr bgcolor="Silver">
    <td colspan="2" align="center">
	<input type="submit" name="Submit" value="<%=mode%>" onclick="disabled=true; submit();">
    <input type="reset" value="Reset">
	</td>
  </tr>
</table>
</form>
<p>

<%
if (action.equals("addnew") && (parentPostID != 0) ) {
%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td colspan="2" align="left">Reply to post:</td>
</tr>
  <tr bgColor=#f5f5f5>
    <td width="20%" class="messageText">
      <a href="viewmember?memberid=<%=parentPostBean.getMemberID()%>" class="messageTextBoldBlue"><%=parentPostBean.getMemberName()%></a><br>
      Post on: <%=onlineUser.getGMTTimestampFormat(parentPostBean.getPostCreationDate())%>
    </td>
    <td class="messageText">
    <font class="messageTextBold">
	<%=MyUtil.filter(parentPostBean.getPostTopic(), false/*html*/, true/*emotion*/, false/*mvnCode*/, false/*newLine*/)%>
	</font><br>
	<%=MyUtil.filter(parentPostBean.getPostBody(), false/*html*/, true/*emotion*/, true/*mvnCode*/, true/*newLine*/)%>
    </td>
  </tr>
</table>
<p>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td colspan="2" align="center">Last posts in this thread (newest post is on top):</td>
</tr>

<%
    java.util.Collection postBeans = (java.util.Collection)request.getAttribute("PostBeans");
    int odd = 0;
    java.util.Iterator iterator = postBeans.iterator();
    while (iterator.hasNext()) {
        odd = (odd+1)%2;
        PostBean postBean = (PostBean)iterator.next();
%>
        <%if (odd == 0) {%>
  <tr bgColor=#f5f5f5>
        <%} else {%>
  <tr bgcolor="White">
        <%}%>
    <td width="20%" class="messageText">
      <a href="viewmember?memberid=<%=postBean.getMemberID()%>" class="messageTextBoldBlue"><%=postBean.getMemberName()%></a><br>
      Post on: <%=onlineUser.getGMTTimestampFormat(parentPostBean.getPostCreationDate())%>
    </td>
    <td class="messageText">
    <font class="messageTextBold">
	<%=MyUtil.filter(postBean.getPostTopic(), false/*html*/, true/*emotion*/, false/*mvnCode*/, false/*newLine*/)%>
	</font><br>
	<%=MyUtil.filter(postBean.getPostBody(), false/*html*/, true/*emotion*/, true/*mvnCode*/, true/*newLine*/)%>
    </td>
  </tr>
<%
    }//while
%>

</table>
<%
}// if reply to a topic, not new thread
%>

<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>
</body>
</html>
